Bug 821537 - [abrt] python-2.7.3-1.fc16: ccsCanDisablePlugin: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-1.fc16: ccsCanDisablePlugin: Process /usr/bin/python2.7 w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libcompizconfig (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
abrt_hash:d8605190467bdcb9cd1fdb2a063...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 16:29 EDT by Yaroslav Chugunov
Modified: 2013-02-13 07:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.91 KB, text/plain)
2012-05-14 16:29 EDT, Yaroslav Chugunov
no flags Details
File: build_ids (4.88 KB, text/plain)
2012-05-14 16:29 EDT, Yaroslav Chugunov
no flags Details
File: smolt_data (3.23 KB, text/plain)
2012-05-14 16:30 EDT, Yaroslav Chugunov
no flags Details
File: var_log_messages (11.38 KB, text/plain)
2012-05-14 16:30 EDT, Yaroslav Chugunov
no flags Details
File: maps (53.94 KB, text/plain)
2012-05-14 16:30 EDT, Yaroslav Chugunov
no flags Details
File: backtrace (50.18 KB, text/plain)
2012-05-14 16:30 EDT, Yaroslav Chugunov
no flags Details

  None (edit)
Description Yaroslav Chugunov 2012-05-14 16:29:53 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/ccsm
crash_function: ccsCanDisablePlugin
executable:     /usr/bin/python2.7
kernel:         3.3.5-2.fc16.x86_64
pid:            5850
pwd:            /home/crank
reason:         Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
time:           Вт. 15 мая 2012 00:23:47
uid:            1000
username:       crank

backtrace:      Text file, 51386 bytes
build_ids:      Text file, 5002 bytes
dso_list:       Text file, 13221 bytes
maps:           Text file, 55237 bytes
smolt_data:     Binary file, 3305 bytes
var_log_messages: Text file, 11652 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=server.cranknet
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3bc340e778d335a01c0ed6d000000008-1337026147.356339-140303560
:GNOME_KEYRING_CONTROL=/tmp/keyring-mTvJXl
:'IMSETTINGS_MODULE=X compose table'
:USER=crank
:LIBGL_DRIVERS_PATH=/usr/lib/dri:/usr/lib64/dri
:USERNAME=crank
:MAIL=/var/spool/mail/crank
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/crank/.local/bin:/home/crank/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/crank
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1471
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/crank
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=crank
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4cX0XU4iGV,guid=4b7ae135bff02c775f9304bc00000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/crank
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-crank-NX3Fzm/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1475,unix/unix:/tmp/.ICE-unix/1475
:GPG_AGENT_INFO=/tmp/keyring-mTvJXl/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-mTvJXl/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1663-server.cranknet-ccsm-6_TIME637855
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-ccsm.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5850

xsession_errors:
:/usr/lib/python2.7/site-packages/ccm/Window.py:92: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Window.py:95: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Widgets.py:1570: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Widgets.py:1575: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Window.py:93: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Widgets.py:1698: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:  File "/usr/lib/python2.7/site-packages/ccm/Widgets.py", line 1108, in grab_value
:  File "/usr/lib/python2.7/site-packages/ccm/Settings.py", line 1029, in HandleModifierRemoved
:/usr/lib/python2.7/site-packages/ccm/Window.py:92: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Window.py:95: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Widgets.py:1570: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:/usr/lib/python2.7/site-packages/ccm/Widgets.py:1575: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/proxy/sambaBackend.py", line 38, in __init__
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 241, in __init__
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 183, in activate_name_owner
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 281, in start_service_by_name
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
Comment 1 Yaroslav Chugunov 2012-05-14 16:29:56 EDT
Created attachment 584463 [details]
File: dso_list
Comment 2 Yaroslav Chugunov 2012-05-14 16:29:58 EDT
Created attachment 584464 [details]
File: build_ids
Comment 3 Yaroslav Chugunov 2012-05-14 16:30:00 EDT
Created attachment 584465 [details]
File: smolt_data
Comment 4 Yaroslav Chugunov 2012-05-14 16:30:02 EDT
Created attachment 584466 [details]
File: var_log_messages
Comment 5 Yaroslav Chugunov 2012-05-14 16:30:04 EDT
Created attachment 584467 [details]
File: maps
Comment 6 Yaroslav Chugunov 2012-05-14 16:30:06 EDT
Created attachment 584468 [details]
File: backtrace
Comment 7 thefonzz2625 2012-10-02 08:58:35 EDT
This happened at boot, no other actions were performed.

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Dave Malcolm 2012-10-02 10:40:14 EDT
Thanks for filing this bug report.

Looking at attachment 584468 [details] I see that the segmentation fault happened within:
#0  ccsCanDisablePlugin (context=0x27ee640, plugin=0x2819a90) at /usr/src/debug/libcompizconfig-0.9.5.92/src/main.c:2470

apparently whilst handling 
  compizconfig.Plugin.DisableConflicts.__get__
in Cython-generated code (frame #1)

What is the output of
 rpm -q libcompizconfig

Reassigning component to libcompizconfig
Comment 9 Fedora End Of Life 2013-01-16 07:35:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2013-02-13 07:55:48 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.